Scilab Function
Last update : 16/06/2004

diophant - équation diophantienne de Bezout

### Calling Sequence

  `[x,err]=diophant(p1p2,b)`

### Parameters

- `p1p2` : vecteur de polynômes `p1p2 = [p1 p2]`
- `b` : polynôme
- `x` : vecteur de polynômes [x1;x2]

### Description

`diophant` résout l'équation de Bezout :

`p1*x1+p2*x2=b` où `p1p2` est un vecteur de polynômes. Si l'équation n'est pas soluble

sinon `err=0`

### Examples

    s=poly(0,'s');p1=(s+3)^2;p2=(1+s);
    x1=s;x2=(2+s);
    [x,err]=diophant([p1,p2],p1*x1+p2*x2);
    p1*x1+p2*x2-p1*x(1)-p2*x(2)